Package org.apache.wiki.htmltowiki.syntax

## Class TextElementDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.TextElementDecorator

    public class TextElementDecorator
    extends java.lang.Object

Translates to wiki syntax from a `Text` element.

### Field Summary

Fields
`protected java.io.PrintWriter` `out`
`protected java.util.Deque<java.lang.String>` `preStack`

### Constructor Summary

Constructors
`TextElementDecorator​(java.io.PrintWriter out, java.util.Deque<java.lang.String> preStack)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decorate​(org.jdom2.Text element)` Translates the given XHTML element into wiki markup.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### preStack

    protected final java.util.Deque<java.lang.String> preStack

### Constructor Detail

#### TextElementDecorator

    public TextElementDecorator​(java.io.PrintWriter out,
                                java.util.Deque<java.lang.String> preStack)

### Method Detail

#### decorate

    public void decorate​(org.jdom2.Text element)

Translates the given XHTML element into wiki markup.

Parameters:
  `element` - XHTML element being translated.